%define name 		enca
%define major 		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:		A program that can detect and convert between character sets
Name: 			enca
Version: 		1.19
Release: 		%mkrel 1
License: 		GPLv2+
Group: 			Text tools
Source: 		http://dl.cihar.com/%{name}/%{name}-%{version}.tar.xz
URL: 			http://gitorious.org/enca
BuildRequires: 		recode-devel

%description
Enca is an Extremely Naive Charset Analyser. It detects character set and
encoding of text files and can also convert them to other encodings using
either a built-in converter or external libraries and tools like libiconv,
librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, and
Ukrainian and some multibyte encodings (mostly variants of Unicode)
independently on the language.

Install Enca if you need to cope with text files of dubious origin
and unknown encoding and convert them to some reasonable encoding.

%package -n %{libname}
Summary: A library detecting encoding of text files
Group: System/Libraries

%description -n %{libname}
Enca is an Extremely Naive Charset Analyser. It detects character set and
encoding of text files and can also convert them to other encodings using
either a built-in converter or external libraries and tools like libiconv,
librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, and
Ukrainian and some multibyte encodings (mostly variants of Unicode)
independently on the language.

This package contains shared Enca library other programs can make use of.


%package -n %{develname}
Summary: Header files and libraries for Enca development
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libenca-devel = %{version}-%{release}
Provides: enca-devel = %{version}-%{release}
Obsoletes: %{mklibname enca 0 -d}

%description -n %{develname}
The %{develname} package contains the static libraries and header files
for writing programs using the Extremely Naive Charset Analyser library,
and its API documentation.

Install %{develname} if you are going to create applications using the Enca
library.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_datadir}/gtk-doc

%files
%defattr(755,root,root)
%doc AUTHORS ChangeLog ChangeLog.prelib FAQ README.md DEVELOP.md THANKS TODO
%{_bindir}/enca
%{_bindir}/enconv
%{_libexecdir}/%{name}/extconv/*
%dir %{_libexecdir}/%{name}/extconv
%dir %{_libexecdir}/%{name}
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libenca.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/enca.h
%{_libdir}/pkgconfig/enca.pc
%{_libdir}/libenca.a
%{_libdir}/libenca.la
%{_libdir}/libenca.so


%changelog
* Fri Sep 09 2016 luigiwalser <luigiwalser> 1.19-1.mga6
+ Revision: 1051180
- 1.19

* Mon Jan 25 2016 luigiwalser <luigiwalser> 1.18-1.mga6
+ Revision: 927134
- 1.18

* Tue Nov 04 2014 luigiwalser <luigiwalser> 1.16-1.mga5
+ Revision: 795523
- 1.16

* Wed Oct 15 2014 umeabot <umeabot> 1.15-4.mga5
+ Revision: 744709
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.15-3.mga5
+ Revision: 679005
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.15-2.mga4
+ Revision: 538826
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 luigiwalser <luigiwalser> 1.15-1.mga4
+ Revision: 490474
- 1.15
- html docs are no longer built

* Fri Jan 11 2013 umeabot <umeabot> 1.14-2.mga3
+ Revision: 349661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 luigiwalser <luigiwalser> 1.14-1.mga3
+ Revision: 303152
- 1.14

* Tue Jan 11 2011 supp <supp> 1.13-2.mga2
+ Revision: 6336
- imported package enca

